<?php

	class DBQuery{

		private $pdo;

		function __construct(){
			global $db;
			$this->pdo = $db;
		}

		public function query(){
			$args = func_get_args();
			$link = $this->pdo->prepare($args[0]);
			if(count($args) > 1){
				if(is_array($args[1])){
					foreach ($args[1] as $key => $value) {
						$type = is_numeric($value) ? PDO::PARAM_INT : PDO::PARAM_STR;
						if(is_numeric($key)){
							$link->bindValue($key + 1, $value, $type);
						}else{
							$link->bindParam($key, $value);
						}
					}
				}else{
					for($i = 1; $i < count($args); $i++){
						$type = is_numeric($args[$i]) ? PDO::PARAM_INT : PDO::PARAM_STR;
						$link->bindValue($i, $args[$i], $type);
					}
				}
			}
			$link->execute();
			return $link;
		}

		public function getPDO(){
			return $this->pdo;
		}
	}
